cowboy_req:has_resp_header(3)

NAME

cowboy_req:has_resp_header - Is the given response header set?

DESCRIPTION
    has_resp_header(Name, Req :: cowboy_req:req()) -> boolean()

    Name :: binary()  %% lowercase; case insensitive

Return whether the given response header has been set.

The header name must be given as a lowercase binary string. While header names are case insensitive, Cowboy requires them to be given as lowercase to function properly.

ARGUMENTS

Name
    Header name as a lowercase binary string.

Req
    The Req object.

RETURN VALUE

A boolean indicating whether the given response header has been set.

CHANGELOG
    • 1.0: Function introduced.

EXAMPLES

Check whether the content-type header has been set
    false = cowboy_req:has_resp_header(<<"content-type">>, Req0),
    Req = cowboy_req:set_resp_header(<<"content-type">>, <<"text/html">>, Req0),
    true = cowboy_req:has_resp_header(<<"content-type">>, Req).

SEE ALSO

cowboy_req(3), cowboy_req:set_resp_header(3), cowboy_req:set_resp_headers(3), cowboy_req:resp_header(3), cowboy_req:resp_headers(3), cowboy_req:delete_resp_header(3)